- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PropertyFilter Class Reference

Inherits Filter.

List of all members.

## Detailed Description

NOTE: This filter modifies logging events by adding properties to the event.

The 'properties' param is converted to event properties, which are set on every event processed by the filter.

Individual properties are only set if they do not already exist on the logging event (will not override existing properties).

This class relies on the convention that property name/value pairs are equals-symbol delimited, and each name/value pair is comma-delimited

Example properties param: somename=somevalue,anothername=anothervalue,thirdname=third value

## Public Member Functions
| PropertyFilter ()
| ~PropertyFilter ()
void | setProperties (const LogString &props)
FilterDecision | decide (const spi::LoggingEventPtr &event) const

## Constructor & Destructor Documentation

PropertyFilter | ( |  | ) |

~PropertyFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const`[virtual]`

  | If the decision is `DENY`, then the event will be dropped. If the decision is `NEUTRAL`, then the next filter, if any, will be invoked. If the decision is ACCEPT then the event will be logged without consulting with other filters in the chain. Parameters:
  | event | The LoggingEvent to decide upon.
Returns: The decision of the filter. Implements Filter.

void setProperties | ( | const LogString & | props | ) |

The documentation for this class was generated from the following file:

- propertyfilter.h